"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TypeDIContainerProvider = void 0;
const typedi_1 = require("typedi");
/**
 * Class transforming between TypeDI API and the expected API by TypeORM.
 */
class TypeDIContainerProvider {
    get(constructable) {
        /**
         * TypeDI only resolves values for registered types, so we need to register
         * them before to requesting them from the default container.
         */
        if (!typedi_1.Container.has(constructable)) {
            typedi_1.Container.set({ id: constructable, type: constructable });
        }
        return typedi_1.Container.get(constructable);
    }
}
exports.TypeDIContainerProvider = TypeDIContainerProvider;
//# sourceMappingURL=container-provider.class.js.map